/******************************************************************************
 * $Workfile::                                                                $
 * $Author: mcorbett $
 * $Date: 2003-06-25 13:59:23-04 $
 * $Revision: 1.0 $
 *
 * Copyright Commonwealth Technology, Inc. 2003
 *
 * This header files defines the input/output lines being used.
 *****************************************************************************/
`ifndef _TB_DEFINE
 `define _TB_DEFINE

//`define FAST_UART

 `define MAX_ERRORS         8'h0A

 //`define CHAR1              8'h6A
 `define CHAR1              8'h63 // c
 `define CHAR2              8'h6D // m
 `define CHAR3              8'h64 // d
 `define CHAR4              8'h3E // >

 `define UC_CHAR0           8'h61 // a
 `define UC_CHAR1           8'h62 // b
 `define UC_CHAR2           8'h63 // c
 `define UC_CHAR3           8'h64 // d
 `define UC_CHAR4           8'h65 // e
 `define UC_CHAR5           8'h66 // f
 `define UC_CHAR6           8'h67 // g
 `define UC_CHAR7           8'h68 // h
 `define UC_CHAR8           8'h69 // i 
 `define UC_CHAR9           8'h6a // j
 `define UC_CHAR10          8'h6b // k
 `define UC_CHAR11          8'h6c // l

// Microcontroller Defined Config Values
 `define FAT_START_SEC         28'h0000032
 `define FAT_END_SEC           28'h0000035
 `define FAT2_START_SEC        28'h0000050
 `define FAT2_END_SEC          28'h0000055
 `define FAT_INITIAL_VAL       8'hDD
 `define FAT2_INITIAL_VAL      8'h5A
 `define DATA_START_SEC        28'h0000100

// Loop control values for TestBench
 `define TEST_10_REPS          8'h0a

`endif //  `ifndef _TB_DEFINE

