onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider {Testbench Signals}
add wave -noupdate /tb_ept_10m04_top/clk_10
add wave -noupdate /tb_ept_10m04_top/clk_32K
add wave -noupdate /tb_ept_10m04_top/reset
add wave -noupdate -divider {Testbench -- WriteDSOMemory Serial}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/WriteDSOMemory_serial/address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/WriteDSOMemory_serial/data_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/WriteDSOMemory_serial/write_latch
add wave -noupdate -divider {Testbech -- ReadDSOMemory Serial}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/ReadDSOMemory_serial/address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/ReadDSOMemory_serial/read_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/ReadDSOMemory_serial/output_enable
add wave -noupdate -divider {Testbench -- WriteDSOControlRegister Serial}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/WriteDSOControlRegister_serial/control_register_number
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/WriteDSOControlRegister_serial/control_register_contents
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/WriteDSOControlRegister_serial/control_register_number_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/WriteDSOControlRegister_serial/control_register_contents_latch
add wave -noupdate -divider {Testbench -- send_trigger_serial}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_trigger_serial/trigger_bit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_trigger_serial/trigger_cmd_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_trigger_serial/trigger_control_word
add wave -noupdate -divider {Testbench -- send_transfer_serial}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_transfer_serial/transfer_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_transfer_serial/transfer_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_transfer_serial/transfer_cmd_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_transfer_serial/read_command
add wave -noupdate -divider {Testbench -- send_block_serial}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_block_serial/block_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_block_serial/block_length
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_block_serial/block_control_word
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_block_serial/block_cmd_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_block_serial/byte_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/send_block_serial/block_write_word
add wave -noupdate -divider {Testbench -- Host Read Serial Comms}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/host_read_serial_uart_comms/received_data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/host_read_serial_uart_comms/read_received_word
add wave -noupdate -divider {Testbench -- Host Write Serial Comms}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/host_write_serial_uart_comms/transmit_data_out_1
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/host_write_serial_uart_comms/num_of_words
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/host_write_serial_uart_comms/first_time_thru_loop
add wave -noupdate -divider EPT-10M04-Top
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/CLK_50MHZ
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/CLK_32KHZ
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/RST
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/CLK_50MHZ_ENABLE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/CLK_32KHZ_ENABLE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UART_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UART_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_SDA_0
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_SCL_0
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/XIO_1
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/XIO_2
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/XIO_3
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/XIO_4
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/LED
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/aa
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/serial_receive_out_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/master_spi_initiate_receive
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_byte_received
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/samples_per_block_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_transmit_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/channel_selected_transmit_register
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/channel_selected_spi_transmit_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_command_register
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_command_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_write_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_read_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/channel_selected_spi_transmit_start_reg
add wave -noupdate -divider {EPT-10M04-Top I2C Controller}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_transmit_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_byte_received
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_command_register
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_command_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_command_start_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_serial_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_local_memory_wr_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_local_memory_oe
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_local_memory_rd_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/timer_tick_counter
add wave -noupdate -divider {EPT-10M04-Top Host Controller}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/host_oe
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/host_rd_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/host_wr_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/host_rd_latch_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/host_wr_latch_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/local_memory_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/local_memory_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/local_memory_wr_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/local_memory_rd_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/local_memory_oe
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/uc_controller_memory_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/adc_convst_delay_local_memory_wr_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_local_memory_wr_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/adc_convst_delay_local_memory_rd_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_local_memory_rd_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/adc_convst_delay_local_memory_oe
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_local_memory_oe
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/adc_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_1_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/adc_convst_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/reset_control_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/request_local_memory
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/adc_convst_delay_request_memory
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/spi_comms_request_memory
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/grant_local_memory
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/i2c_0_comms_request_memory
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/reset_reg
add wave -noupdate -divider {EPT-10M04-Top LED Controller}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/STATE_OUT
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/state_name
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/timer_value
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/seed_value
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/led_delay_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/start_blinky
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/static_load_value
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/led_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/shift_count_value
add wave -noupdate -divider {EPT-10M04-Top Active Transfer Library}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/start_block_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/start_block_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/block_byte_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/block_in_rcv
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/uc_length
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/block_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/block_out_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/block_transfer_mem_array_selection
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/block_transfer_mem_array_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/led_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/uc_out_m
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/MEMORY_TRANSFER_BLOCK_SIZE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/trigger_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/trigger_in_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_1_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_receive_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_1_receive_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_1_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/block_transfer_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_2_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_2_receive_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_2_data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_2_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_2_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_3_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_3_receive_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_3_control_register_number
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_4_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_4_receive_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/transfer_4_control_register_contents
add wave -noupdate -divider {Top -- I2C Comms}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/SERIAL_CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_CLOCK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/MEMORY_ADDRESS
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/MEMORY_DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/MEMORY_WRITE_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/MEMORY_READ_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/MEMORY_OUTPUT_ENABLE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_COMMAND
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_COMMAND_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_TRANSMIT_COMPLETE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_BYTE_RECEIVED
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/REQUEST_EN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/GRANT_RDY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_transfer_storage_register
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_transmit_total_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_transmit_total_count_reg
add wave -noupdate -radix hexadecimal -childformat {{{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[7]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[6]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[5]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[4]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[3]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[2]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[1]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[0]} -radix hexadecimal}} -subitemconfig {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[7]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[6]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[5]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[4]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[3]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[2]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[1]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage[0]} {-height 15 -radix hexadecimal}} /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_storage
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/number_of_i2c_bytes_to_send
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/number_of_i2c_payload_bytes
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_payload_byte_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_command_to_send
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_payload_byte_count_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_payload_bytes
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/transfer_1_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/serial_transmit_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/master_i2c_initiate_transmit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/master_i2c_transmit_complete
add wave -noupdate /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/master_i2c_transmit_byte_done
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_cs_from_i2c_iface
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_rd_address_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_rd_latch_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_rd_data_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_output_enable_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_rd_latch_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_rd_delay_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_wr_address_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_wr_latch_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_wr_data_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/memory_wr_latch_flag
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/state_name
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_payload_start_address_in_memory
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_receive_total_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/i2c_read_write_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/serial_receive_data_storage
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/serial_receive_data_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/master_i2c_initiate_receive
add wave -noupdate /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/master_i2c_receive_done
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/master_i2c_byte_received
add wave -noupdate /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/master_i2c_read_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/serial_receive_out_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/number_of_i2c_read_bytes
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/start_i2c_receive_reg
add wave -noupdate -divider {I2C Top -- Protocol Layer}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/RESET
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/SERIAL_CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_CLOCK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_ENA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_RDY_IN
add wave -noupdate /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_DONE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_REQUEST
add wave -noupdate -radix hexadecimal -childformat {{{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[7]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[6]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[5]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[4]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[3]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[2]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[1]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[0]} -radix hexadecimal}} -subitemconfig {{/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[7]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[6]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[5]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[4]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[3]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[2]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[1]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT[0]} {-height 15 -radix hexadecimal}} /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_ENA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_RDY_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_start_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_ack_rcv_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmission_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/reception_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_ack_send_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_stop_active
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/state_name
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_ack_receive
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/serial_i2c_rdy_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/serial_i2c_ena_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_data_to_receive
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_valid_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_data_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_clock_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_active_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_done
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_data_valid_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_data_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/write_to_i2c
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/write_to_i2c_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/read_word_out_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_clock_from_receive
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_readwrite_bit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_readwrite_bit_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/ack_grant_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/ack_req_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_ack_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_ack_transmit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_ack_done
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_ack_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_start_active_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_start_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_start_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_stop_active_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_stop_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/i2c_stop_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_rden_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_wren_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_data_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_wr_ack
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/receive_fifo_flush
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_data_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_wr_ack
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/transmit_fifo_flush
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/next
add wave -noupdate -divider {I2C Top -- Receive}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/valid_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/i2c_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/i2c_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/receive_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/receive_start_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/last_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/last_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/lastlast_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/lastlast_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/sample_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/bit_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/out_phase
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/z1_i2c_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/z2_i2c_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/z3_i2c_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/z1_i2c_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/z2_i2c_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_INST/z3_i2c_clock
add wave -noupdate -divider {I2C Top -- Ack}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/GNT_START
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/REQ_START
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/VALID_SEND
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/VALID_RECEIVE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/DONE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/SCLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/bit_count_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/sclk_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/sdata_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_ACK_INST/state_name
add wave -noupdate -divider {I2C Top -- Transmit}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/i2c_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/i2c_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/holding_reg_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/transmit_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/data_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/i2c_data_pre
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/holding_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/phase
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/i2c_data_idle
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/i2c_data_select
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/last_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/bit_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_INST/transmit_complete_reg
add wave -noupdate -divider {I2C Top -- Receive FIFO}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/reset_n
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/flush
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/read_req
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/write_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/wdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/read_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/rdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/write_ack
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/read_ptr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/write_ptr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/read_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_RECEIVE_FIFO/write_enable
add wave -noupdate -divider {I2C Top Transmit FIFO}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/reset_n
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/flush
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/read_req
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/write_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/wdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/read_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/rdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/write_ack
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/read_ptr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/write_ptr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/read_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/I2C_COMMS_INTERFACE_0_INST/I2C_PROTOCOL_LAYER_INST/I2C_TRANSMIT_FIFO/write_enable
add wave -noupdate -divider {Top -- UC Controller}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_INTERFACE_ADDRESS
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_INTERFACE_DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_INTERFACE_WRITE_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_INTERFACE_READ_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_INTERFACE_OUTPUT_ENABLE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_CONTROL_REG_NUMBER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_CONTROL_REG_CONTENTS
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_CONTROL_REG_NUMBER_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/HOST_CONTROL_REG_CONTENTS_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_0
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_1
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_2
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_3
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_4
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_5
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_6
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/CR_7
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/MEMORY_INTERFACE_ADDRESS
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/MEMORY_INTERFACE_DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/MEMORY_INTERFACE_WRITE_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/MEMORY_INTERFACE_READ_LATCH
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/MEMORY_INTERFACE_OUTPUT_ENABLE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/MEMORY_INTERFACE_EN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/MEMORY_INTERFACE_RDY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/TIMEOUT_TICK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/ERROR_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/STATE_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_next
add wave -noupdate -childformat {{{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[32]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[31]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[30]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[29]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[28]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[27]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[26]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[25]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[24]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[23]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[22]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[21]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[20]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[19]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[18]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[17]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[16]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[15]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[14]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[13]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[12]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[11]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[10]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[9]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[8]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[7]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[6]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[5]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[4]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[3]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[2]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[1]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[0]} -radix hexadecimal}} -expand -subitemconfig {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[32]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[31]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[30]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[29]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[28]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[27]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[26]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[25]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[24]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[23]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[22]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[21]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[20]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[19]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[18]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[17]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[16]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[15]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[14]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[13]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[12]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[11]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[10]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[9]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[8]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[7]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[6]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[5]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[4]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[3]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[2]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[1]} {-radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array[0]} {-radix hexadecimal}} /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/local_mem_array
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/control_reg_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/control_reg_next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_address_storage
add wave -noupdate -radix hexadecimal -childformat {{{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[7]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[6]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[5]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[4]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[3]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[2]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[1]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[0]} -radix hexadecimal}} -subitemconfig {{/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[7]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[6]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[5]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[4]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[3]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[2]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[1]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage[0]} {-height 15 -radix hexadecimal}} /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_data_storage
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_mem_storage_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_mem_disperse_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_address_storage
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_data_storage
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_storage_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_write_latch_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_disperse
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_disperse_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_mem_disperse
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_read_latch
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_oe_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_oe_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_read_output_enable_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_read_latch_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/error_detect_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_req_grant_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/control_reg_number
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/control_reg_contents
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/control_reg_storage_state
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/host_state_name
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/memory_state_name
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/UC_CONTROLLER_INST/control_reg_state_name
add wave -noupdate -divider {Top -- Active Trigger}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/uc_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/uc_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/uc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/uc_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/trigger_to_host
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/trigger_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/to_trigupdate
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/trigger_to_host_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/previous_to_trigupdate
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/to_trigupdate_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRIGGER_INST/xint
add wave -noupdate -divider {Top -- Active Transfer 1}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/uc_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/uc_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/uc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/uc_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/transfer_received
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/transfer_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/uc_addr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/transfer_to_host
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/transfer_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/state_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/next_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/transfer_to_device_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/start_transfer_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/to_transfer_update
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/transfer_to_device_meta
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/start_transfer_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/start_transfer_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/transfer_busy_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_1/state_name
add wave -noupdate -divider {Top -- Active Transfer 2}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/uc_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/uc_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/uc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/uc_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/transfer_received
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/transfer_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/uc_addr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/transfer_to_host
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/transfer_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/state_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/next_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/transfer_to_device_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/start_transfer_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/to_transfer_update
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/transfer_to_device_meta
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/start_transfer_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/start_transfer_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/transfer_busy_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_2/state_name
add wave -noupdate -divider {Top -- Active Transfer 3}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/uc_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/uc_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/uc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/uc_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/transfer_received
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/transfer_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/uc_addr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/transfer_to_host
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/transfer_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/state_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/next_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/transfer_to_device_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/start_transfer_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/to_transfer_update
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/transfer_to_device_meta
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/start_transfer_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/start_transfer_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/transfer_busy_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_3/state_name
add wave -noupdate -divider {Top -- Active Transfer 4}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/uc_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/uc_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/uc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/uc_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/transfer_received
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/transfer_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/uc_addr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/transfer_to_host
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/transfer_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/state_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/next_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/transfer_to_device_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/start_transfer_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/to_transfer_update
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/transfer_to_device_meta
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/start_transfer_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/start_transfer_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/transfer_busy_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/ACTIVE_TRANSFER_INST_4/state_name
add wave -noupdate -divider {Top -- Active Block}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/uc_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/uc_reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/uc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/uc_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/transfer_received
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/transfer_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/transfer_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/ept_length
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/uc_addr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/uc_length
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/transfer_to_host
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/transfer_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/state_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/next_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/transfer_received_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/block_transfer_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/data_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/block_transfer_state_counter
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/BLOCK_TRANSFER_INST/state_name
add wave -noupdate -divider {Top -- Active Serial Library}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/aa
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/UART_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/UART_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/UC_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/UC_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/STATE_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/TEST_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/register_decode
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/data_byte_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ept_int_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ept_int_write_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ft_245_state_mne_write_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ept_int_write_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/write_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ft_usb_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ft_usb_data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/endpoint_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ft_245_sm_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/bd_inout
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/bc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/bc_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ft245_test_state_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/endpoint_reg_test_state_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/endpoint_reg_test_out
add wave -noupdate -divider {Top -- Active Transfer UART}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/UART_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/UART_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/USB_RXF_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/USB_TXE_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/USB_DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/USB_RD_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/USB_WR
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/USB_SI
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/rcv_storage_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/store_reg_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_in_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/usb_rxf_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/usb_wr_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/write_tx_byte_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/rx_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/rx_byte_present
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/UART_SERIAL_RX
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/en_16_x_baud
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/rx_byte_read
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/tx_data_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/tx_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/write_tx_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/automated_write
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/automated_write_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/automated_write_counter
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/state_name
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/counter_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/clk16x
add wave -noupdate -divider {Active Transfer UART -- UART Top}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/DIN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/CLK16X
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/WRN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RXD
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RDN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_BUFFER_EMPTY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/SDO
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/DATA_READY
add wave -noupdate -divider {Active Transfer UART -- UART RX}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/RXD
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/CLK16X
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/RDN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/DATA_READY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/clk16x_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/clk16_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/serial_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/dout_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/serial_clk_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/sample_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/rxd_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/start_bit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/clk16x_posedge
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/RX_INST/rxd_negedge
add wave -noupdate -divider {Active Transfer UART -- UART TX}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/BUFFER_EMPTY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/SDO
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/DIN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/CLK16X
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/WRN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/clk16_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/serial_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/din_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/serial_clk_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/clk16x_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ACTIVE_TRANSFER_UART_INST/uart_inst/TX_INST/clk16x_posedge
add wave -noupdate -divider {Top -- EndPoint Registers}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/ENDPOINT_DECODE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/DATA_BYTE_READY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/ENDPOINT_EN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/ENDPOINT_BUSY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/FT_245_SM_BUSY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/WRITE_EN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/WRITE_READY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/WRITE_BYTE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/WRITE_COMPLETE
add wave -noupdate -radix hexadecimal -childformat {{{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[23]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[22]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[21]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[20]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[19]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[18]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[17]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[16]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[15]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[14]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[13]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[12]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[11]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[10]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[9]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[8]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[7]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[6]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[5]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[4]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[3]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[2]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[1]} -radix hexadecimal} {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[0]} -radix hexadecimal}} -subitemconfig {{/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[23]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[22]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[21]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[20]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[19]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[18]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[17]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[16]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[15]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[14]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[13]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[12]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[11]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[10]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[9]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[8]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[7]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[6]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[5]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[4]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[3]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[2]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[1]} {-height 15 -radix hexadecimal} {/tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN[0]} {-height 15 -radix hexadecimal}} /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/UC_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/TEST_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/STATE_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/byte_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/control_multiplexor
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/command_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/write_control_mux
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/write_control_mux_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/write_en_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/write_data_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/command_from_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/length_from_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/address_from_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/payload_from_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/uc_in_payload
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/uc_in_command
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/uc_in_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/uc_in_length
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/write_to_host
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/write_to_host_delay
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/write_to_host_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/command_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/address_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/length_to_device
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/block_read_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/byte_count_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/transfer_busy
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/data_byte_ready_delay_cnt
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/reset_uc_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/reset_uc_in_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/reset_uc_in_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/uc_out_command
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/uc_out_command_meta
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/state_out_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/ENDPOINT_REGISTERS_INST/state_name
add wave -noupdate -divider {Top -- FT245 State Machine}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_RXF_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_TXE_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_RD_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_WR
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_TEST
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_REGISTER_DECODE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/USB_DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/DATA_BYTE_READY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/RSB_INT_EN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/ENDPOINT_BUSY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/FT_245_SM_BUSY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/WRITE_EN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/WRITE_READY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/WRITE_BYTE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/WRITE_COMPLETE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/STATE_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/read_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/read_complete_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/read_complete_cntr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/write_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/write_complete_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/usb_rxf_n_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/usb_rxf_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/usb_txe_n_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/DUT/ACTIVE_SERIAL_LIBRARY_INST/FT_245_STATE_MACHINE_INST/state_name
add wave -noupdate -divider {Host -- Serial UART Comms Model}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/RESET
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/UART_RXD_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/UART_TXD_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/CONTROL_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/STATUS_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/RECEIVE_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/SEND_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/control_update_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/status_update_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/tx_data_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/write_tx_byte
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/tx_byte_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/total_tx_bytes
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/bytes_written_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/tx_buffer_full
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/tx_buffer_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/transmit_data_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/transmit_data_ready_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/cmd_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/receive_data_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/receive_data_ready_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_data_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/clk16x
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_rdn
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_tx_buffer_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_write_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_rdn_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/state_name
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/counter_reg
add wave -noupdate -divider {Host -- Top UART Iface}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/DIN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/CLK16X
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/WRN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RXD
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RDN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_BUFFER_EMPTY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/SDO
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/DATA_READY
add wave -noupdate -divider {Host -- Top UART Recieve}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/RXD
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/CLK16X
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/RDN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/DATA_READY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/clk16x_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/clk16_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/serial_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/dout_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/serial_clk_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/sample_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/rxd_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/start_bit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/clk16x_posedge
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/RX_INST/rxd_negedge
add wave -noupdate -divider {Host -- Top Transmit}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/BUFFER_EMPTY
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/SDO
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/DIN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/CLK16X
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/WRN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/clk16_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/serial_clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/din_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/serial_clk_enable
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/clk16x_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/SERIAL_UART_COMMS_MODEL_INST/uart_iface_inst/TX_INST_MODEL/clk16x_posedge
add wave -noupdate -divider {Model -- I2C TMP102 Top}
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/RESET
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/ADDRESS
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/CLOCK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/CONTROL_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/STATUS_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/RECEIVE_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/SEND_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/transmit_data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/RDY_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/word_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/receive_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/ENA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/RDY_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/de_assert_ena_in_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/read_data_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/control_update_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/status_update_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/ena_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/receive_data_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/receive_data_ready_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/transmit_data_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/de_assert_rdy_in_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/rdy_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/transmit_data_ready
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/transmit_data_ready_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/ENA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/i2c_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/store_address_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/receive_req_word_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/receive_req_word_count_reg
add wave -noupdate -radix ascii /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/state_name
add wave -noupdate -divider I2C_Slave_Comms_Model
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/RESET
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/DEVICE_ADDRESS
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_DATA
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_CLOCK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/SERIAL_I2C_TRANSMIT_DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/SERIAL_I2C_TRANSMIT_ENA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/SERIAL_I2C_TRANSMIT_RDY_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/SERIAL_I2C_RECEIVE_DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/SERIAL_I2C_RECEIVE_ENA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/SERIAL_I2C_RECEIVE_RDY_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/next
add wave -noupdate -radix ascii /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/state_name
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_start_detect
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_start_detect_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_start_stop_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_start_stop_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/meta_i2c_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/meta_i2c_clock_a
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_address_detected
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_address
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_read_write_bit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_next_byte_timeout_cntr
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_next_byte_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/ack_done
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/ack_grant_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/ack_grant_start_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/ack_request_start
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/ack_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_ack_transmit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_data_out_from_ack
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_ack_send_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_ack_rcv_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_ack_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/serial_i2c_rdy_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/serial_i2c_ena_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_data_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_valid_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_active_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_data_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_clock_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_done
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmission_active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_data_valid_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_data_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/wait_for_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_decode_message
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_decode_message_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_rw_stop
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/rstop_phase
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/error_detect_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_data_line_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_receive_out_phase
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_ack_test_bus_out
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/i2c_ack_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_rden_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_wren_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_data_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_wr_ack
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/receive_fifo_flush
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_wren_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_data_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_wr_ack
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/transmit_fifo_flush
add wave -noupdate -divider I2C_Receive_Model
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/START
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/DONE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/SCLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/PERFORM_READ
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/TEST_BUS
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/in_bit_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/i2c_clk_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/bit_count_state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/shift_in_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/STATE_OUT
add wave -noupdate -radix ascii /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_RECEIVE_MODEL_INST/state_name
add wave -noupdate -divider I2C_ACK_Model
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/GNT_START
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/REQ_START
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/RECEIVE_UNIT_DONE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/TRANSMIT_UNIT_DONE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/VALID_SEND
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/VALID_RECEIVE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/DONE
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/SCLK
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/I2C_STOP
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/TEST_BUS_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/STATE_OUT
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/bit_count_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/sclk_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/sdata_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/dout_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/meta_i2c_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/I2C_SCL
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/send_ack_delay_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/send_ack_delay_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/send_ack_complete_flag
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/send_ack_complete_counter
add wave -noupdate -radix ascii /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_ACK_MODEL_INST/state_name
add wave -noupdate -divider I2C_Transmitter_Model
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/clk
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/reset
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/i2c_data
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/i2c_clock
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/transmit_complete
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/data_in
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/data_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/active
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/holding_reg_empty
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/holding_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/phase
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/i2c_data_idle
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/i2c_data_select
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/last_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/bit_counter
add wave -noupdate -radix hexadecimal /tb_ept_10m04_top/I2C_0_TMP102_MODEL_INST/I2C_SLAVE_COMMS_MODEL_INST/I2C_TRANSMIT_MODEL_INST/transmit_complete_reg
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 19} {7254725913 ps} 0} {{Cursor 3} {2950509646 ps} 0} {{Cursor 4} {1931853899 ps} 0} {{Cursor 5} {4960160000 ps} 0}
quietly wave cursor active 4
configure wave -namecolwidth 296
configure wave -valuecolwidth 189
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {12884701255 ps} {12885244671 ps}
