onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider {Testbench Signals}
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/CLK
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/RST
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/FTDI_RXF
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/FTDI_TXE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/FTDI_DATA
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/FTDI_RD
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/FTDI_WR
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/FTDI_SI
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/reset_n
add wave -noupdate -format Logic /tb_ept_ft2232h_top/DUT/global_reset
add wave -noupdate -divider {UART Host Write Task}
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_control_register_model
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_send_register_model
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_status_register
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_status_register_model
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/write_outgoing_message_serial_uart_comms_model/num_of_words
add wave -noupdate -format Logic /tb_ept_ft2232h_top/host_write_byte
add wave -noupdate -divider {Host Bus Status}
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/host_bus_read/read_register_value
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/host_status_byte
add wave -noupdate -format Logic /tb_ept_ft2232h_top/host_read_status
add wave -noupdate -format Logic /tb_ept_ft2232h_top/host_status_we
add wave -noupdate -divider {Host Bus Read Task}
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/host_bus_read/read_register_value
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/host_read_byte
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/host_data_out
add wave -noupdate -divider {Compare Host and UART}
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/compare_spi_write_read/register_write
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/compare_spi_write_read/register_read
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/compare_spi_write_read/register_address
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/compare_spi_write_read/start_compare_read_cycle
add wave -noupdate -divider {Serial Comms Model Host Read}
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_control_register_model
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/read_incoming_message_serial_uart_comms_model/received_data_in
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/read_incoming_message_serial_uart_comms_model/read_received_word
add wave -noupdate -divider {EPT FT2232H Top}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/RST
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_OUT
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_IN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/FTDI_RXF
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/FTDI_TXE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/FTDI_DATA
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/FTDI_RD
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/FTDI_WR
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/FTDI_SI
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/reset_n
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/global_reset
add wave -noupdate -divider {UART Tiny Slave}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/clk16x
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/COUNT_TO_DECIMAL
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/COUNT_TO_DECIMAL_1
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/COUNT_TO_DECIMAL_2
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/COUNT_TO_DECIMAL_3
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/counter_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/DELAY_WRITE_DATA_BYTE
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/en_16_x_baud
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/IDLE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/in_bit_count
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/LOAD_SHIFT_REG
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/next
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/out_bit_count
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/rcv_storage_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/RECEIVE_COMPLETE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/RECEIVE_DATA
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/rx_byte_present
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/rx_byte_read
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/rx_data
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/SEND_TO_HOST
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/state
add wave -noupdate -format Literal -radix ascii /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/state_name
add wave -noupdate -format Literal -radix ascii /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/STATE_OUT
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/STORE_BYTE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/store_reg_state
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/tx_data_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/tx_empty
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/UART_IN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_in_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/UART_OUT
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/UART_SERIAL_RX
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/USB_DATA
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/USB_RD_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/USB_RXF_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/automated_write
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/automated_write_byte
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/automated_write_counter
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/usb_rxf_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/USB_SI
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/USB_TXE_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/USB_WR
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/WRITE_DATA_BYTE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/WRITE_DATA_COMPLETE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/WRITE_REGISTER
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/write_tx_byte
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/write_tx_byte_reg
add wave -noupdate -divider {UART Top}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RST_N
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/DIN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/CLK16X
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/WRN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RXD
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RDN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_BUFFER_EMPTY
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/SDO
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/DOUT
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/DATA_READY
add wave -noupdate -divider {UART Transmitter}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/BUFFER_EMPTY
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/SDO
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/DIN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/CLK16X
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/WRN
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/clk16_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/serial_clk
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/bit_count
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/din_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/shift_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/serial_clk_enable
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/clk16x_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/TX_INST/clk16x_posedge
add wave -noupdate -divider {UART Receiver}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/RXD
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/CLK16X
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/RDN
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/DOUT
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/DATA_READY
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/clk16x_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/clk16_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/serial_clk
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/bit_count
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/dout_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/shift_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/serial_clk_enable
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/sample_clk
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/rxd_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/start_bit
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/clk16x_posedge
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/DUT/UART_SLAVE_CONTROLLER/uart_inst/RX_INST/rxd_negedge
add wave -noupdate -divider {Host Bus Model Top}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_RXF_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_TXE_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_RD_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_WR
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_RESET_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_PWREN_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_TEST
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_FT245_DATA
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/DATA_IN
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/DATA_OUT
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/READ_FT_245
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/WRITE_FT_245
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/READ_FT_STATUS
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/state
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/next
add wave -noupdate -format Literal -radix ascii /tb_ept_ft2232h_top/HOST_BUS_MODEL/state_name
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/ft_status_byte
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/read_ft_status_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/start_read_cycle
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/read_cycle_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/read_cycle_meta_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/read_cycle_rdy
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/read_cycle_complete
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/write_cycle_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/write_cycle_meta_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/start_write_cycle
add wave -noupdate -format Logic /tb_ept_ft2232h_top/HOST_BUS_MODEL/host_byte_available
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/host_model_write_cycle_complete
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/write_cycle_hold_byte
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/write_transmit_byte
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/model_read_host_data_byte
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/read_ft_status_cntr
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/temp_byte
add wave -noupdate -divider {Host Bus Model Read}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/HOST_FT245_RXF_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/HOST_FT245_RD_N
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/HOST_FT245_READ_BYTE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/TRANSMIT_BYTE
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/START_READ_CYCLE
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/READ_CYCLE_RDY
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/READ_CYCLE_COMPLETE
add wave -noupdate -format Literal -radix ascii /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/state_name
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/state
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/next
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/start_read_cycle_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/ft245_rd_n_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/output_enable_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/rxf_n_delay_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_READ/rxf_n_delay_reg
add wave -noupdate -divider {Host Bus Model Write}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/HOST_FT245_TXE_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/HOST_FT245_WR
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/HOST_FT245_WRITE_BYTE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/TRANSMIT_BYTE
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/START_WRITE_CYCLE
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/WRITE_CYCLE_COMPLETE
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/state
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/next
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/output_enable_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/write_enable
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/write_enable_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/txe_delay_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/txe_delay_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/host_ft245_txe_n_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/host_ft245_txe_n_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/write_byte_control_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/write_byte_control_count
add wave -noupdate -format Literal -radix ascii /tb_ept_ft2232h_top/HOST_BUS_MODEL/HOST_WRITE/state_name
add wave -noupdate -divider {Serial UART Comms Model}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/RESET
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/UART_RXD_IN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/UART_TXD_OUT
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/CONTROL_REGISTER
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/STATUS_REGISTER
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/RECEIVE_REGISTER
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/SEND_REGISTER
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/control_update_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/status_update_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/state
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/next
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/tx_data_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/write_tx_byte
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/tx_byte_count
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/total_tx_bytes
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/bytes_written_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/tx_buffer_full
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/tx_buffer_empty
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/transmit_data_ready
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/transmit_data_ready_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/cmd_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/receive_data_ready
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/receive_data_ready_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_data_out
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_data_ready
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/clk16x
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_rdn
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_data_in
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_tx_buffer_empty
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_write_enable
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_rdn_reg
add wave -noupdate -format Literal -radix ascii /tb_ept_ft2232h_top/serial_uart_comms_model_inst/state_name
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/counter_reg
add wave -noupdate -divider {UART Transmitter Model}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/BUFFER_EMPTY
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/SDO
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/DIN
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/CLK16X
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/WRN
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/clk16_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/serial_clk
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/bit_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/clk16x_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/din_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/shift_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/serial_clk_enable
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/TX_INST/clk16x_posedge
add wave -noupdate -divider {UART Receiver Model}
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/CLK
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/RST_N
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/RXD
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/CLK16X
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/RDN
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/DOUT
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/DATA_READY
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/clk16x_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/clk16_count
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/serial_clk
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/bit_count
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/dout_reg
add wave -noupdate -format Literal -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/shift_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/serial_clk_enable
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/sample_clk
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/rxd_reg
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/start_bit
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/clk16x_posedge
add wave -noupdate -format Logic -radix hexadecimal /tb_ept_ft2232h_top/serial_uart_comms_model_inst/uart_iface_inst/RX_INST/rxd_negedge
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 19} {177173282790 ps} 0} {{Cursor 3} {3553477500 ps} 0} {{Cursor 4} {3464692500 ps} 0} {{Cursor 5} {247282500 ps} 0}
configure wave -namecolwidth 237
configure wave -valuecolwidth 105
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {0 ps} {971696640 ps}
